#include<bits/stdc++.h>
using namespace std;
ifstream fi("BOI30.inp");
ofstream fo("BOI30.out");
int main(){
  string s;
  int sum=0,a[10]={0};
  fi>>s;
  for(int i=0;i<s.length();++i){ a[s[i]-48]++; sum=sum+(s[i]-48); }
if(s[0]!=0 && sum%3==0){
        for(int i=9;i>=0;--i)for(int j=0;j<a[i];++j)fo<<i;
        return 0;
}
 fo<<-1;
}
